usr/src/cmd/fakeroot/install-sfw
changeset 0 b34509ac961f
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/usr/src/cmd/fakeroot/install-sfw	Wed Oct 21 17:43:30 2009 +0200
@@ -0,0 +1,53 @@
+#!/usr/bin/ksh93 -p
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+# 
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+# 
+# ident	"@(#)install-sfw	1.1	09/10/07 SMI"
+#
+
+set -o errexit
+
+PKGVERS=${1}
+M64=${2:-""}
+PREFIX=${ROOT}/usr
+MANDIR=${PREFIX}/share/man
+MANSCRIPT=../sunman-stability
+
+source ${SRC}/tools/install.subr
+
+cd ${PKGVERS}
+
+if ((${#M64} == 0)); then
+	# Install the 32-bit targets only
+	_install S scripts/fakeroot ${PREFIX}/bin/fakeroot 555
+	_install E faked ${PREFIX}/lib/faked 555
+	_install D .libs/libfakeroot.so ${PREFIX}/lib/libfakeroot.so 555
+	_install M doc/fakeroot.1 ${MANDIR}/man1/fakeroot.1 444
+else
+	# Install the 64-bit targets only
+	_install D .libs/libfakeroot.so ${PREFIX}/lib/${M64}/libfakeroot.so 555
+fi
+
+exit 0